Redmine - Feature #1935
An option to completely disable email notifications
2008-09-23 15:18 - Marcin Kasperski

Status: Closed Start date: 2008-09-23
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Accounts / authentication Estimated time: 0.00 hour
Target version:

Resolution: Fixed

Description

Currently the weakest form of email notifications individual user can opt for is "Only things | observe or participate in". It would be nice
to have also an option of "No notifications".

(/my/account screen, email notifications group)

Related issues:

Duplicated by Redmine - Feature # 3883: ability turn off all email notifications Closed 2009-09-17
Duplicated by Redmine - Feature # 4486: Add a profile option to disable notif... Closed 2009-12-25
Duplicated by Redmine - Feature # 3538: Disable email notifications Closed 2009-06-25
History

#1 - 2008-09-25 07:33 - Ewan Makepeace

+1

And | would even like another level. As company owner | am the creator of 80% of the issues in the system - which means that | get notified of every
change to every issue including internal state changes (developer to QC for example). | would like an email option that just told me when issues were

assigned to me but not when issues | created change otherwise.

I currently receive over 100 emails from Redmine daily and so their value is diminished.

#2 - 2008-09-25 11:01 - Thomas Lecavelier

Both proposal make sens. The better should be that the combo box about notification would be replaced by a matrice of diffrent notifications, where

user tick only what notif' he wants to receive (with a none/all speeder).

My +1.

#3 - 2008-10-23 13:18 - Alex Cartwright

+1

A user of my Redmine installation could really do with this, and would be quite simple to implement | guess.

#4 - 2008-11-13 13:44 - Bojan Resnik

+1

The "No notifications" option would solve my current problem, but the notification matrix actually makes a lot of sense and provides the best level of
control.

#5 - 2008-11-21 22:54 - Stephan Zalewski
- File never_notify.patch added

I've created a patch that allows users to disable all mail notifications, maybe it could resolve some of the issues...

You'll gain a new option in "Email notifications" to chose that you'll never be notified.

Best Regards, Stephan

#6 - 2008-11-21 23:43 - Stephan Zalewski

or maybe it's easier to pull from http://github.com/StephanZ/redmine/tree/master

#7 - 2008-11-22 00:41 - Eric Davis
- Status changed from New to 7
- Assignee set to Eric Davis

I'll check the patch out. Thanks for putting it on GitHub, it makes it easy for me.

#8 - 2009-05-06 08:24 - Gregor Bader

+1

Is this still not implemented?

#9 - 2009-05-06 12:30 - Stephan Zalewski

I've updated my redmine fork which includes a 'never bother me by email' option.

The current master and 0.8-stable branches were updated to reflect the changes

http://github.com/StephanZ/redmine

#10 - 2009-05-18 16:34 - Nanda P

+1

#11 - 2009-10-26 13:47 - Nick Fitzgerald

+1

I would also like to see this implemented. Thanks!
#12 - 2009-11-03 06:02 - Michael Koch

+1

yes! i would like this too!

#13 - 2009-11-20 05:19 - Tadeusz Zimirski

+1

#14 - 2009-11-22 14:31 - Mischa The Evil

Another workaround is mentioned in a message in the duplicate issue #3883.

#15 - 2010-02-10 12:38 - Nick Fitzgerald

Wanted to give this issue a little poke.

We would really like to have this functionality and the fix seems pretty small. I'd rather not patch the core if | don't have to.

#16 - 2010-10-25 17:03 - Eric Davis
- Assignee deleted (Eric Davis)

#17 - 2011-01-10 15:20 - Raphael Kallensee

Since this was resolved in 1.1 (great!), maybe this ticket should get closed, right?

#18 - 2011-02-28 15:27 - Etienne Massip
- Status changed from 7 to Closed
- Resolution set to Fixed

Indeed, silently committed with r4216 for version version:1.1.0.

Files

never_notify.patch 8.02 KB 2008-11-21 Stephan Zalewski
